"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolvePaths = exports.addWorkingDirToPattern = void 0;
const node_path_1 = __importDefault(require("node:path"));
const addWorkingDirToPattern = (workingDir, pattern) => {
    if (pattern.startsWith('!'))
        return '!' + node_path_1.default.join(workingDir, pattern.slice(1));
    return node_path_1.default.join(workingDir, pattern);
};
exports.addWorkingDirToPattern = addWorkingDirToPattern;
const resolvePaths = (configuration, patterns) => {
    const { workingDir } = configuration;
    return patterns.map(pattern => (0, exports.addWorkingDirToPattern)(workingDir, pattern));
};
exports.resolvePaths = resolvePaths;
